# Method: accounts.adSources.list

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#body.request_body)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#body.response_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#body.ListAdSourcesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#body.aspect)
- [AdSource](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#AdSource)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#AdSource.SCHEMA_REPRESENTATION)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#try-it)

List the ad sources.

### HTTP request

`GET https://admob.googleapis.com/v1beta/{parent=accounts/*}/adSources`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent which owns this collection of ad sources. Format: accounts/{publisherId} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of ad sources to return. If unspecified or 0, at most 10,000 ad sources will be returned. The maximum value is 20,000; values above 10,000 will be coerced to 20,000. |
| `pageToken` | `string` A page token, received from a previous `adSources.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response for the ListAdSourcesRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adSources": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#AdSource`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adSources[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list#AdSource`)`` The ad sources. |
| `nextPageToken` | `string` Used to set the `pageToken` in the `ListAdSourcesRequest` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admob.readonly`
- `
  https://www.googleapis.com/auth/admob.report`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## AdSource

Definition of a mediation ad source.

| JSON representation |
|---|
| ``` { "name": string, "adSourceId": string, "title": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Resource name of this ad source. Format is: accounts/{publisherId}/adSources/{adSourceId} |
| `adSourceId` | `string` ID of this ad source. |
| `title` | `string` Display name of this ad source. |